import{s as Ce,n as $e,o as Te}from"../chunks/scheduler.0f20f9e5.js";import{S as ve,i as xe,g as a,s as n,r as y,A as Me,h as s,f as l,c as o,j as de,u as L,x as r,k as he,y as Ue,a as i,v as b,d as W,t as P,w as E}from"../chunks/index.fbd8b8e3.js";import{C as we}from"../chunks/CodeBlock.c14486c2.js";import{H as te}from"../chunks/Heading.2451f3bb.js";function ke(le){let p,j,H,F,m,S,u,D,c,ie="To compile from source, you need the following:",J,f,ne='<li>The ability to compile C++ (gcc, make, headers, etc)</li> <li>CMake (version 3.22.1 or newer)</li> <li>Python 3.10 or newer</li> <li><a href="https://docs.nvidia.com/cuda/cuda-installation-guide-linux/index.html" rel="nofollow">The CUDA toolkit</a> (nvcc)</li>',N,d,oe="On Ubuntu, install the first two with <code>apt-get install -y build-essential cmake</code>.",I,h,ae='To install the CUDA toolkit, follow the <a href="https://docs.nvidia.com/cuda/cuda-installation-guide-linux/index.html" rel="nofollow">instructions from your distro</a>.',R,w,se="To install the package from source, then run",V,C,Q,$,re='If you have multiple versions of CUDA installed, or have installed it in a non-standard location, please refer to <a href="https://cliutils.gitlab.io/modern-cmake/chapters/packages/CUDA.html" rel="nofollow">cmake CUDA documentation</a> for how to configure the CUDA compiler used.',Y,T,Z,v,pe="The following is required to install from source on Windows",q,x,me='<li><a href="https://visualstudio.microsoft.com/downloads/" rel="nofollow">Microsoft Visual Studio</a> with C++ support</li> <li>CMake (version 3.22.1 or newer)</li> <li>Python 3.10 or newer</li> <li><a href="https://docs.nvidia.com/cuda/cuda-installation-guide-microsoft-windows/index.html" rel="nofollow">The CUDA toolkit</a> (nvcc)</li>',z,M,ue='To install the CUDA toolkit, follow the <a href="https://docs.nvidia.com/cuda/cuda-installation-guide-microsoft-windows/index.html" rel="nofollow">instructions for Windows</a>.',K,U,ce="To install the package from source, then run",B,k,G,_,O,g,fe="From version 0.39.1, bitsandbytes no longer includes Kepler binaries in pip installations, requiring manual compilation. Follow the general steps and use <code>cuda11x_nomatmul_kepler</code> for Kepler-targeted compilation.",X,A,ee;return m=new te({props:{title:"Compiling from Source",local:"compiling",headingTag:"h1"}}),u=new te({props:{title:"Linux",local:"linux",headingTag:"h2"}}),C=new we({props:{code:"cGlwJTIwaW5zdGFsbCUyMC1yJTIwcmVxdWlyZW1lbnRzLWRldi50eHQlMEFjbWFrZSUyMC1EQ09NUFVURV9CQUNLRU5EJTNEY3VkYSUyMC1TJTIwLiUwQW1ha2UlMEFwaXAlMjBpbnN0YWxsJTIwLg==",highlighted:`pip <span class="hljs-keyword">install</span> -r requirements-dev.txt
cmake -DCOMPUTE_BACKEND=cuda -S .
make
pip <span class="hljs-keyword">install</span> .`,wrap:!1}}),T=new te({props:{title:"Windows",local:"windows",headingTag:"h2"}}),k=new we({props:{code:"cGlwJTIwaW5zdGFsbCUyMC1yJTIwcmVxdWlyZW1lbnRzLWRldi50eHQlMEFjbWFrZSUyMC1EQ09NUFVURV9CQUNLRU5EJTNEY3VkYSUyMC1TJTIwLiUwQWNtYWtlJTIwLS1idWlsZCUyMC4lMjAtLWNvbmZpZyUyMFJlbGVhc2UlMEFwaXAlMjBpbnN0YWxsJTIwLg==",highlighted:`pip <span class="hljs-keyword">install </span>-r requirements-dev.txt
cmake -DCOMPUTE_BACKEND=cuda -S .
cmake --<span class="hljs-keyword">build </span>. --<span class="hljs-built_in">config</span> Release
pip <span class="hljs-keyword">install </span>.`,wrap:!1}}),_=new te({props:{title:"Compilation for Kepler Architecture",local:"compilation-for-kepler-architecture",headingTag:"h2"}}),{c(){p=a("meta"),j=n(),H=a("p"),F=n(),y(m.$$.fragment),S=n(),y(u.$$.fragment),D=n(),c=a("p"),c.textContent=ie,J=n(),f=a("ul"),f.innerHTML=ne,N=n(),d=a("p"),d.innerHTML=oe,I=n(),h=a("p"),h.innerHTML=ae,R=n(),w=a("p"),w.textContent=se,V=n(),y(C.$$.fragment),Q=n(),$=a("p"),$.innerHTML=re,Y=n(),y(T.$$.fragment),Z=n(),v=a("p"),v.textContent=pe,q=n(),x=a("ul"),x.innerHTML=me,z=n(),M=a("p"),M.innerHTML=ue,K=n(),U=a("p"),U.textContent=ce,B=n(),y(k.$$.fragment),G=n(),y(_.$$.fragment),O=n(),g=a("p"),g.innerHTML=fe,X=n(),A=a("p"),this.h()},l(e){const t=Me("svelte-u9bgzb",document.head);p=s(t,"META",{name:!0,content:!0}),t.forEach(l),j=o(e),H=s(e,"P",{}),de(H).forEach(l),F=o(e),L(m.$$.fragment,e),S=o(e),L(u.$$.fragment,e),D=o(e),c=s(e,"P",{"data-svelte-h":!0}),r(c)!=="svelte-bn2n0e"&&(c.textContent=ie),J=o(e),f=s(e,"UL",{"data-svelte-h":!0}),r(f)!=="svelte-ey6rlj"&&(f.innerHTML=ne),N=o(e),d=s(e,"P",{"data-svelte-h":!0}),r(d)!=="svelte-85c75e"&&(d.innerHTML=oe),I=o(e),h=s(e,"P",{"data-svelte-h":!0}),r(h)!=="svelte-1uxmfi5"&&(h.innerHTML=ae),R=o(e),w=s(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-1nem0om"&&(w.textContent=se),V=o(e),L(C.$$.fragment,e),Q=o(e),$=s(e,"P",{"data-svelte-h":!0}),r($)!=="svelte-duts6s"&&($.innerHTML=re),Y=o(e),L(T.$$.fragment,e),Z=o(e),v=s(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-1hqoz8c"&&(v.textContent=pe),q=o(e),x=s(e,"UL",{"data-svelte-h":!0}),r(x)!=="svelte-kgp5ah"&&(x.innerHTML=me),z=o(e),M=s(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-gs7pg3"&&(M.innerHTML=ue),K=o(e),U=s(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-1nem0om"&&(U.textContent=ce),B=o(e),L(k.$$.fragment,e),G=o(e),L(_.$$.fragment,e),O=o(e),g=s(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-cu2c9d"&&(g.innerHTML=fe),X=o(e),A=s(e,"P",{}),de(A).forEach(l),this.h()},h(){he(p,"name","hf:doc:metadata"),he(p,"content",_e)},m(e,t){Ue(document.head,p),i(e,j,t),i(e,H,t),i(e,F,t),b(m,e,t),i(e,S,t),b(u,e,t),i(e,D,t),i(e,c,t),i(e,J,t),i(e,f,t),i(e,N,t),i(e,d,t),i(e,I,t),i(e,h,t),i(e,R,t),i(e,w,t),i(e,V,t),b(C,e,t),i(e,Q,t),i(e,$,t),i(e,Y,t),b(T,e,t),i(e,Z,t),i(e,v,t),i(e,q,t),i(e,x,t),i(e,z,t),i(e,M,t),i(e,K,t),i(e,U,t),i(e,B,t),b(k,e,t),i(e,G,t),b(_,e,t),i(e,O,t),i(e,g,t),i(e,X,t),i(e,A,t),ee=!0},p:$e,i(e){ee||(W(m.$$.fragment,e),W(u.$$.fragment,e),W(C.$$.fragment,e),W(T.$$.fragment,e),W(k.$$.fragment,e),W(_.$$.fragment,e),ee=!0)},o(e){P(m.$$.fragment,e),P(u.$$.fragment,e),P(C.$$.fragment,e),P(T.$$.fragment,e),P(k.$$.fragment,e),P(_.$$.fragment,e),ee=!1},d(e){e&&(l(j),l(H),l(F),l(S),l(D),l(c),l(J),l(f),l(N),l(d),l(I),l(h),l(R),l(w),l(V),l(Q),l($),l(Y),l(Z),l(v),l(q),l(x),l(z),l(M),l(K),l(U),l(B),l(G),l(O),l(g),l(X),l(A)),l(p),E(m,e),E(u,e),E(C,e),E(T,e),E(k,e),E(_,e)}}}const _e='{"title":"Compiling from Source","local":"compiling","sections":[{"title":"Linux","local":"linux","sections":[],"depth":2},{"title":"Windows","local":"windows","sections":[],"depth":2},{"title":"Compilation for Kepler Architecture","local":"compilation-for-kepler-architecture","sections":[],"depth":2}],"depth":1}';function ge(le){return Te(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Pe extends ve{constructor(p){super(),xe(this,p,ge,ke,Ce,{})}}export{Pe as component};
